> For the complete documentation index, see [llms.txt](https://docs.ionos.com/mongodb-sdk-ruby/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/mongodb-sdk-ruby/models/clusterproperties.md).

# ClusterProperties

## Properties

| Name                    | Type                                                                   | Description                                                                                                                                                                                                                                                                      | Notes       |
| ----------------------- | ---------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------- |
| **display\_name**       | **String**                                                             | The name of your cluster.                                                                                                                                                                                                                                                        | \[optional] |
| **mongo\_db\_version**  | **String**                                                             | The MongoDB version of your cluster.                                                                                                                                                                                                                                             | \[optional] |
| **location**            | **String**                                                             | The physical location where the cluster will be created. This is the location where all your instances will be located. This property is immutable.                                                                                                                              | \[optional] |
| **instances**           | **Integer**                                                            | The total number of instances in the cluster (one primary and n-1 secondaries).                                                                                                                                                                                                  | \[optional] |
| **connections**         | [**Array\<Connection>**](/mongodb-sdk-ruby/models/connection.md)       |                                                                                                                                                                                                                                                                                  | \[optional] |
| **maintenance\_window** | [**MaintenanceWindow**](/mongodb-sdk-ruby/models/maintenancewindow.md) |                                                                                                                                                                                                                                                                                  | \[optional] |
| **template\_id**        | **String**                                                             | The unique ID of the template, which specifies the number of cores, storage size, and memory. You cannot downgrade to a smaller template or minor edition (e.g. from business to playground). To get a list of all templates to confirm the changes use the /templates endpoint. | \[optional] |
| **connection\_string**  | **String**                                                             | The connection string for your cluster.                                                                                                                                                                                                                                          | \[optional] |

## Example

```ruby
require 'ionoscloud-dbaas-mongo'

instance = IonoscloudDbaasMongo::ClusterProperties.new(
  display_name: MongoDB cluster,
  mongo_db_version: 5.0,
  location: de/txl,
  instances: 3,
  connections: null,
  maintenance_window: null,
  template_id: 498ae72f-411f-11eb-9d07-046c59cc737e,
  connection_string: mongo+srv://m-498ae72f-411f-11eb-9d07-046c59cc737e.mongodb.de-txl.ionos.com
)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ionos.com/mongodb-sdk-ruby/models/clusterproperties.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
